[ID]
Label=3FV778T1
[Inclusions]
Include0=find.drv
Include1=names.drv
Include2=repair.drv
Include3=apiw32.dll
Include4=wfindv32.exe
Include5=licence.drv
Include6=messages.drv
Include7=nttoolki.hlp
Include8=tkevmsg.dll
[Commands]
Unique=Yes
ScriptVersion=1 12
Macro0=INSTALLDIR=!BASEDIR!\FV
Macro1=PMGroup=|Dr Solomon's AVTK|
Macro2=BASEDIR=!C:!\NTMEAPPS
PreInst0=MKDIR "!INSTALLDIR!"
PreInst10=FILEWRITEACCESS "!INSTALLDIR!\WFINDV32.EXE"
PreInst20=KILLPROCESS WFINDV32.EXE
PreInst25=FILEWRITEACCESS "!INSTALLDIR!\WFINDV32.EXE"
PreInst30=!INSTALL! /LIST /REBOOT "!INSTALLPATH!" "!INSTALLDIR!"
PreInst35=IF  !INSTALL! = FALSE
PreInst36=GOTO End_Of_Script
PreInst37=!CLEANUP! "!INSTALLPATH!"
PreInst40=IF VERSION < 815
PreInst50=GOTO Start_Of_ProgMan
PreInst60=PMAVAILABLE
PreInst70=IF PMAVAILABLE = FALSE
PreInst80=GOTODEFER End_Of_ProgMan
PreInst85=Start_Of_ProgMan:
PreInst90=PMSHOWGROUP     !PMGroup!
PreInst100=PMDELETEITEM    "FindVirus"
PreInst110=PMDELETEITEM   "FindVirus Help"
PreInst120=PMCREATEGROUP !PMGroup! "!INSTALLDIR!"
PreInst150=PMADDITEM "!INSTALLDIR!\WFINDV32.EXE" "FindVirus" "!INSTALLDIR!"
PreInst250=PMADDITEM "!INSTALLDIR!\NTTOOLKI.HLP" "FindVirus Help" "!INSTALLDIR!"
PreInst260=End_Of_ProgMan:
PreInst300=WRITEPRIVATE "!CURDIR!\THDEFS.CFG" Defaults FindVir "!INSTALLDIR!\WFINDV32.EXE"
PreInst310=End_Of_Script:
PostRem0=FILEWRITEACCESS "!INSTALLDIR!\WFINDV32.EXE"
PostRem1=KILLPROCESS WFINDV32.EXE
PostRem2=FILEWRITEACCESS "!INSTALLDIR!\WFINDV32.EXE"
PostRem20=IF VERSION < 815
PostRem25=GOTO Start_Of_ProgMan
PostRem30=PMAVAILABLE
PostRem35=IF PMAVAILABLE = FALSE
PostRem40=GOTODEFER  End_Of_ProgMan
PostRem45=Start_Of_ProgMan:
PostRem80=PMSHOWGROUP     !PMGroup!
PostRem90=PMDELETEITEM    "FindVirus"
PostRem100=PMDELETEITEM   "FindVirus Help"
PostRem110=PMGROUPISEMPTY !PMGroup!
PostRem120=IF PMGROUPISEMPTY = FALSE
PostRem130=GOTO End_Of_ProgMan
PostRem140=PMDELETEGROUP  !PMGroup!
PostRem150=End_Of_ProgMan:
PostRem160=Delete_Files:
PostRem170=DELETE /LIST /REBOOT "!INSTALLDIR!"
PostRem171=DELETE "!INSTALLDIR!\nttoolki.gid"
PostRem172=DELETE "!INSTALLDIR!\nttoolki.fts"
PostRem175=FILEEXISTS "!INSTALLDIR!\*.*"
PostRem176=IF FILEEXISTS = FALSE
PostRem178=REMDIR "!INSTALLDIR!"
PostRem180=FILEEXISTS "!BASEDIR!\*.*"
PostRem190=IF FILEEXISTS = FALSE
PostRem200=REMDIR "!BASEDIR!"
